using Itrycn;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace Itrycn_Project2
{
    static class Program
    {
        static System.Threading.Mutex run;
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Itrycn_Info.UserDataFolder = ryCommon.RyFiles.GetRealPath(Itrycn_Info.UserDataFolder);
            run = new System.Threading.Mutex(true, Itrycn_Info.Soft_Id, out bool runone);
            if (!runone) //已经运行了
            {
                ryCommon.Ini ini = new ryCommon.Ini(Itrycn_Info.UserDataFolder + "\\Win.dat");
                ryControls.Win32.SendMessage((IntPtr)ini.ReadIni(Itrycn_Info.Soft_Id, "hwnd", 0), 17189, 100, 100);
            }
            else
            {
                Application.Run(new Frmmain(args));
                //Application.Run(new WindowsFormsApp2.Form1());
            }
            //FrmLogin frm = new FrmLogin();
            //if (frm.ShowDialog() == DialogResult.OK)
            //{
            //    Application.Run(new Frmmain());
            //}
        }
    }
}
